export default {
  collectCoverage: false,
  coverageDirectory: 'output/coverage',
  coverageProvider: 'v8',
  coverageReporters: [
    'text',
    'cobertura',
    'text-summary'
  ],
  extensionsToTreatAsEsm: ['.ts'],
  reporters: [
    'default',
    ['jest-junit', { outputDirectory: 'output/' }]
  ],
  transform: {
    '^.+\\.ts$': ['ts-jest', { useESM: true }]
  },
  watchPathIgnorePatterns: [
    '/node_modules/'
  ]
}
